Subject: Re: A problem with RFC 6465's Uniform Format for Extension Headers

From: Fernando Gont <[email-masked]>
Date: Thu, 27 Mar 2014 23:13:41 +0000

Hi, Hagen,

I'm currently working on a rev of the aforementioned I-D. Please send me
your <author> xml so that I can incorporate you as a co-author.

Thanks!

Cheers,
Fernando

On 02/07/2014 10:23 PM, Hagen Paul Pfeifer wrote:
> * Thomas Narten | 2014-02-06 07:21:49 [-0500]:
> 
>> But we are already there. Folk won't deploy anything other than
>> TCP/UDP because NAT won't deal with it. That has already been reality
>> and is the reason that other or new transport protocols appear to be
>> virtually undeployable today.
> 
> Maybe actual in parts of the Internet. We deploy larger networks with our
> router silicon and we _use_ IPv6 extension header to transport signaling
> information. Period. Our need is not on the protocol side - UDP is fine for
> all - we need additional extension header (think about roaming information).
> And we _have_ actual problems with the current situation! This is why I wrote
> the I-D back in 2011[1].
> 
> I remember a time where ECN did not work properly and where dropped
> occasionally by broken middleboxes. LKML started to enabled ECN and things
> improved over time.
> 
> We should not stop solutions here because administrators/vendors infringe
> protocol best practices. We should focus on an proper protocol design which
> enables possibilities.
> 
> Hagen
> 
> 
> [1] http://tools.ietf.org/html/draft-pfeifer-6man-exthdr-res-01
> 

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492